Bug 122615 - Envelope address does not go down enough
Summary: Envelope address does not go down enough
Status: UNCONFIRMED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
6.1.0.2 rc
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print Envelope
  Show dependency treegraph
 
Reported: 2019-01-09 21:20 UTC by nk2u@comcast.net
Modified: 2019-05-17 13:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Addressee does not go down enough on the envelope (57.58 KB, application/pdf)
2019-01-09 21:21 UTC, nk2u@comcast.net
Details
envelope format (7.41 KB, image/png)
2019-05-16 14:51 UTC, Usama
Details
Settings for 6 3/4" envelopes (18.23 KB, application/zip)
2019-05-16 16:30 UTC, nk2u@comcast.net
Details
screen record of envlope creation (154.72 KB, image/gif)
2019-05-17 07:37 UTC, Usama
Details
screenshot of the pdf export (32.36 KB, image/png)
2019-05-17 07:37 UTC, Usama
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nk2u@comcast.net 2019-01-09 21:20:13 UTC
Description:
I am using a HP Laserjet M227 to print small envelopes (6.25") I place the envelope in the printer facing upwards and the flap on the right.  I format the envelope's sender (me) and it is fine, but the adressee does not come down enough.  I have it set maximum at 2.30 from the left (fine) and 2.84 from the top (does not go further.)  Can you program the parameters to increase the downwards limit?

Steps to Reproduce:
1.Put in envelope
2.Format envelope
3.Print envelope

Actual Results:
I have a pdf that shows the addressee is too high on the envelope.  This is an easy fix.  If you give me an e-mail address, I can send it to you.

Expected Results:
Addressee should be lower on the envelope


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Comment 1 nk2u@comcast.net 2019-01-09 21:21:24 UTC
Created attachment 148185 [details]
Addressee does not go down enough on the envelope
Comment 2 nk2u@comcast.net 2019-02-11 20:15:40 UTC
Just downloaded the newest version 6.2.3 and the problem is still there, the addressee is till too high.  Right now, the maximum I can bring it down on a 6 3/4 envelope is 2.84.  I need it to go down another inch (4")  Can you make this happen?  I print a lot of envelopes and they look terrible!
Comment 3 Usama 2019-05-16 14:51:23 UTC
Created attachment 151460 [details]
envelope format

Hello,
Thank you for reporting this. I've tried to reproduce the issue but couldn't. I've attached a screenshot of the settings I have. I was able to increase it more than 2.84 from the top. Could you please set your own parameters in that window including envelope size and share the screen with us?

I'm setting the bug status to NEEDINFO, Please set it to UNCONFIRMED again after providing the requested data.

If you have time, please check the latest version from master, you can find latest windows version from here:
https://dev-builds.libreoffice.org/daily/master/Win-x86@42/current/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

You can always visit our QA channel #libreoffice-qa@freenode if you need help with bugs
https://irc.documentfoundation.org/?settings=#libreoffice-qa


Tested on version: 6.3.0.0.alpha0+
Build ID: 98630a0bd49bd80652145a21e4e0d0ded792b36b
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-04_04:44:35
Locale: tr-TR (tr_TR.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 nk2u@comcast.net 2019-05-16 16:18:07 UTC
Yes, the bug is still there.  Specifically, for a personal envelope, 6 3/4", the Addressee field needs to INCREASE over 2.84" from top.  The way it is now, the addressee field does not go down enough.  This should be very easy to program.  Just increase the measurements so that you can go OVER 2.84" down from the top.
Comment 5 nk2u@comcast.net 2019-05-16 16:20:31 UTC
How do I do a screenshot of the window like you did?
Comment 6 nk2u@comcast.net 2019-05-16 16:30:17 UTC
Created attachment 151464 [details]
Settings for 6 3/4" envelopes
Comment 7 Usama 2019-05-17 07:37:08 UTC
Created attachment 151477 [details]
screen record of envlope creation

Thank you for sending the requested information. I've checked the issue and I can see address can't go beyond 2.84 from the top. The reason for this that 2.84 is the maximum limit which for that small envelope otherwise it will be out of the printing area.

I suspect your problem is related to setting the correct settings for the printer. I've attached a screen record showing the steps I took and in the preview you can see that the final preview is as intended and it's not possible for the address to go any further. 

To verify this create the envelope then export the file as PDF before printing. If it shows as intended then the issue is most probably with getting the print to print right by choosing the correct settings like (paper size etc.)

I had similar issues with different softwares where I needed to modify the page size in different places to get it accepted by the printer.
Comment 8 Usama 2019-05-17 07:37:50 UTC
Created attachment 151478 [details]
screenshot of the pdf export
Comment 9 nk2u@comcast.net 2019-05-17 13:04:43 UTC
What you say is true but this does not take into account which printer you are using.  I just bought a brand new HP Laserjet all in one.  Model number is MFP-M227-M231.  Or just M227.  The printer/printer driver has 3 positions for putting the envelope in the printer.  I tried all three.  They are center, right and left.  I use the center one since that's the one that gives me "sort of" the best results, although not satisfactory.  If I use the one on the right or the left, it's totally wrong!

Pls explain why it is not possible to increase the addressee down further?  Although the graphic will show the address is "off" the envelope, it will be perfect for me!  I can't believe this can't be done; anything can be done with programming.
Comment 10 Usama 2019-05-17 13:44:45 UTC
I wish you could solve your issue and get a happy experience using LibreOffice but bug triaging and fix release for accepted bugs may take sometime. 

I suggest you ask your question in https://ask.libreoffice.org/
There you could get a solution for your issue or a workaround. 

You may also want to check LibreOffice Telegram channel to get help from the community https://telegram.me/libreoffice

As I told you if you could export the PDF correctly then IMHO the issue could be limited to printer configuration. Hope someone could step in and investigate it further.